[Haskell-cafe] GHCi runtime linker: fatal error (was Installing REPA)

Ben Lippmeier benl at ouroborus.net
Tue Apr 10 05:37:23 CEST 2012

On 08/04/2012, at 2:41 AM, Dominic Steinitz wrote:
>> Hi Ben, Chris and Others,
>> Thanks for your replies and suggestions. All I want to do is invert (well solve actually) a tridiagonal matrix so upgrading ghc from the version that comes with the platform seems a bit overkill. I think I will go with Chris' suggestion for now and maybe upgrade ghc (and REPA) when I am feeling braver.
>> Dominic.
> Sadly I now get this when trying to mulitply two matrices. Is this because I have two copies of Primitive? I thought Cabal was supposed to protect me from this sort of occurrence. Does anyone have any suggestions on how to solve this?

You'll need to upgrade. Trying to support old versions of software is a lost cause.

I pushed Repa 3.1 to Hackage on the weekend. It has a *much* cleaner API. I can't recommend continuing to use Repa 2. You will just run into all the problems that are now fixed in Repa 3. 


More information about the Haskell-Cafe mailing list